grails.project.groupId = appName
grails.mime.file.extensions = false
grails.mime.use.accept.header = false
grails.mime.types = [
	all:           '*/*',
	atom:          'application/atom+xml',
	css:           'text/css',
	csv:           'text/csv',
	form:          'application/x-www-form-urlencoded',
	html:          ['text/html','application/xhtml+xml'],
	js:            'text/javascript',
	json:          ['application/json', 'text/json'],
	multipartForm: 'multipart/form-data',
	rss:           'application/rss+xml',
	text:          'text/plain',
	xml:           ['text/xml', 'application/xml']
]

grails.resources.adhoc.patterns = ['/images/*', '/css/*', '/js/*', '/plugins/*']
grails.views.default.codec = 'html'
grails.views.gsp.encoding = 'UTF-8'
grails.converters.encoding = 'UTF-8'
grails.views.gsp.sitemesh.preprocess = true
grails.scaffolding.templates.domainSuffix = ''
grails.json.legacy.builder = false
grails.enable.native2ascii = true
grails.spring.bean.packages = []
grails.web.disable.multipart=false
grails.exceptionresolver.params.exclude = ['password']
grails.hibernate.cache.queries = false

environments {
	development {
		grails.logging.jul.usebridge = true
	}
	production {
		grails.logging.jul.usebridge = false
	}
}

log4j = {
	error 'org.codehaus.groovy.grails',
	      'org.springframework',
	      'org.hibernate',
	      'net.sf.ehcache.hibernate'
}

grails.plugins.springsecurity.userLookup.userDomainClassName = 'com.burtbeckwith.appinfohibernate_test.User'
grails.plugins.springsecurity.userLookup.authorityJoinClassName = 'com.burtbeckwith.appinfohibernate_test.UserRole'
grails.plugins.springsecurity.authority.className = 'com.burtbeckwith.appinfohibernate_test.Role'
 
grails.plugins.springsecurity.controllerAnnotations.staticRules = [
	'/adminmanage/**': ['ROLE_ADMIN']
]

grails.plugins.dynamicController.mixins = [
	'com.burtbeckwith.grails.plugins.appinfo.IndexControllerMixin':                  'com.burtbeckwith.appinfohibernate_test.AdminManageController',
	'com.burtbeckwith.grails.plugins.appinfo.Log4jControllerMixin':                  'com.burtbeckwith.appinfohibernate_test.AdminManageController',
	'com.burtbeckwith.grails.plugins.appinfo.SpringControllerMixin':                 'com.burtbeckwith.appinfohibernate_test.AdminManageController',
	'com.burtbeckwith.grails.plugins.appinfo.MemoryControllerMixin':                 'com.burtbeckwith.appinfohibernate_test.AdminManageController',
	'com.burtbeckwith.grails.plugins.appinfo.PropertiesControllerMixin':             'com.burtbeckwith.appinfohibernate_test.AdminManageController',
	'com.burtbeckwith.grails.plugins.appinfo.ScopesControllerMixin':                 'com.burtbeckwith.appinfohibernate_test.AdminManageController',
	'com.burtbeckwith.grails.plugins.appinfo.ThreadsControllerMixin':                'com.burtbeckwith.appinfohibernate_test.AdminManageController',
	'com.burtbeckwith.grails.plugins.appinfo.hibernate.HibernateControllerMixin':    'com.burtbeckwith.appinfohibernate_test.AdminManageController',
	'app.info.custom.example.MyConfigControllerMixin':                               'com.burtbeckwith.appinfohibernate_test.AdminManageController'
]
grails.plugins.appinfo.additional = [
	'My Config': [
		configs: 'Configs'
	]
]
 
grails.plugins.appinfo.useContextListener = true
 